Skip to content

getCustomerItemPriceOverrideById

READ

Get customer item price override by id.

POST /api/v1/sales/getCustomerItemPriceOverrideById
curl -X POST '<your-host>/api/v1/sales/getCustomerItemPriceOverrideById' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "active": true,
  "applyRulesOnTop": true,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customerId": "string",
  "customerTypeId": "string",
  "id": "string",
  "itemId": "string",
  "notes": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "validFrom": "string",
  "validTo": "string",
  "customer": {
    "id": "string",
    "name": "string"
  },
  "customerType": {
    "id": "string",
    "name": "string"
  },
  "item": {
    "id": "string",
    "name": "string"
  },
  "breaks": [
    {
      "id": "string",
      "quantity": 0,
      "overridePrice": 0,
      "active": true
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}